# $Revision: 1.14.2.5 $, $Date: 2005/10/17 07:57:24 $
%include	/usr/lib/rpm/macros.perl
%define		pdir    IO
%define		pnam    Socket-INET6
Summary:       IO::Socket::INET6 - Object interface for AF_INET|AF_INET6 domain sockets
Summary(pl):	Modu perla IO::Socket::INET6
Name:		perl-IO-Socket-INET6
Version:	2.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5: e4ef8b7944fa036cda19dc3e1cc688a6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-devel >= 1:5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Socket::INET6 provides an object interface to creating and using
sockets in either AF_INET or AF_INET6 domains. It is built upon the
IO::Socket interface and inherits all the methods defined by
IO::Socket.

%description -l pl
IO::Socket::INET6 - nazwa tumaczy wszystko ;)

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/IO/Socket/INET6.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Socket-INET6.spec,v $
Revision 1.14.2.5  2005/10/17 07:57:24  hawk
- merged version 2.51 from HEAD

Revision 1.14.2.4  2003/09/09 11:12:23  ankry
- spaces -> tabs

Revision 1.14.2.3  2003/07/11 12:02:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.14.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.14.2.1  2003/03/13 00:57:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.14  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.13  2002/11/26 00:14:05  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.12  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/03/03 08:53:27  kloczek
- release 4.

Revision 1.10  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/10 15:27:49  depesz
adapterized

Revision 1.8  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.6  2001/04/17 12:11:00  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/01/08 22:09:45  kloczek
- release 1: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.3  2000/11/10 16:07:23  agaran
Changed Source url

Revision 1.2  2000/10/04 22:21:18  kloczek
- adapteried.

